package com.qmth.distributed.print.business.bean.flow;

import com.qmth.distributed.print.business.enums.CustomFlowApproveUserTypeEnum;
import com.qmth.distributed.print.business.enums.CustomFlowMultipleUserApproveTypeEnum;
import com.qmth.distributed.print.business.enums.CustomFlowRejectResubmitTypeEnum;
import com.qmth.distributed.print.business.enums.CustomFlowRejectTypeEnum;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: 自定义流程节点变量 dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2022/2/10
 */
public class CustomFlowVarDto implements Serializable {

    @ApiModelProperty(value = "流程节点变量")
    String flowTaskVar;

    @ApiModelProperty(value = "审批人")
    List<String> approveIds;

    @ApiModelProperty(value = "属性")
    CustomFlowApproveUserTypeEnum approveUserType;

    @ApiModelProperty(value = "自定义流程审核类型")
    CustomFlowMultipleUserApproveTypeEnum multipleUserApproveType;

    @ApiModelProperty(value = "自定义流程驳回类型")
    CustomFlowRejectTypeEnum rejectType;

    @ApiModelProperty(value = "自定义流程驳回重新提交类型")
    CustomFlowRejectResubmitTypeEnum rejectResubmitType;

    @ApiModelProperty(value = "审批人")
    String approveUserNames;

    public CustomFlowVarDto() {

    }

    public CustomFlowVarDto(String flowTaskVar) {
        this.flowTaskVar = flowTaskVar;
    }

    public CustomFlowVarDto(String flowTaskVar, List<String> approveIds) {
        this.flowTaskVar = flowTaskVar;
        this.approveIds = approveIds;
    }

    public CustomFlowVarDto(String flowTaskVar, List<String> approveIds, String approveUserNames) {
        this.flowTaskVar = flowTaskVar;
        this.approveIds = approveIds;
        this.approveUserNames = approveUserNames;
    }

    public CustomFlowVarDto(String flowTaskVar, List<String> approveIds,
                            CustomFlowApproveUserTypeEnum approveUserType,
                            CustomFlowMultipleUserApproveTypeEnum multipleUserApproveType,
                            CustomFlowRejectTypeEnum rejectType,
                            CustomFlowRejectResubmitTypeEnum rejectResubmitType,
                            String approveUserNames) {
        this.flowTaskVar = flowTaskVar;
        this.approveIds = approveIds;
        this.approveUserType = approveUserType;
        this.multipleUserApproveType = multipleUserApproveType;
        this.rejectType = rejectType;
        this.rejectResubmitType = rejectResubmitType;
        this.approveUserNames = approveUserNames;
    }

    public String getApproveUserNames() {
        return approveUserNames;
    }

    public void setApproveUserNames(String approveUserNames) {
        this.approveUserNames = approveUserNames;
    }

    public CustomFlowApproveUserTypeEnum getApproveUserType() {
        return approveUserType;
    }

    public void setApproveUserType(CustomFlowApproveUserTypeEnum approveUserType) {
        this.approveUserType = approveUserType;
    }

    public CustomFlowMultipleUserApproveTypeEnum getMultipleUserApproveType() {
        return multipleUserApproveType;
    }

    public void setMultipleUserApproveType(CustomFlowMultipleUserApproveTypeEnum multipleUserApproveType) {
        this.multipleUserApproveType = multipleUserApproveType;
    }

    public CustomFlowRejectTypeEnum getRejectType() {
        return rejectType;
    }

    public void setRejectType(CustomFlowRejectTypeEnum rejectType) {
        this.rejectType = rejectType;
    }

    public CustomFlowRejectResubmitTypeEnum getRejectResubmitType() {
        return rejectResubmitType;
    }

    public void setRejectResubmitType(CustomFlowRejectResubmitTypeEnum rejectResubmitType) {
        this.rejectResubmitType = rejectResubmitType;
    }

    public String getFlowTaskVar() {
        return flowTaskVar;
    }

    public void setFlowTaskVar(String flowTaskVar) {
        this.flowTaskVar = flowTaskVar;
    }

    public List<String> getApproveIds() {
        return approveIds;
    }

    public void setApproveIds(List<String> approveIds) {
        this.approveIds = approveIds;
    }
}
