package com.qmth.distributed.print.business.entity;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.teachcloud.common.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 教学班级表
 * @Author: CaoZixuan
 * @Date: 2022-02-09
 */
@ApiModel(value = "TeachClazz对象", description = "教学班级表")
public class TeachClazz extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "学校id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long schoolId;

    @ApiModelProperty(value = "教学班编号")
    private String teachClazzCode;

    @ApiModelProperty(value = "教学班名称")
    private String teachClazzName;

    @ApiModelProperty(value = "用户id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long userId;

    @ApiModelProperty(value = "用户姓名（冗余）")
    private String userName;

    @ApiModelProperty(value = "教学课程主键")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long teachCourseId;

    @ApiModelProperty(value = "教学课程编号（冗余）")
    private String teachCourseCode;

    @ApiModelProperty(value = "教学课程名称（冗余）")
    private String teachCourseName;

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public String getTeachClazzCode() {
        return teachClazzCode;
    }

    public void setTeachClazzCode(String teachClazzCode) {
        this.teachClazzCode = teachClazzCode;
    }

    public String getTeachClazzName() {
        return teachClazzName;
    }

    public void setTeachClazzName(String teachClazzName) {
        this.teachClazzName = teachClazzName;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public Long getTeachCourseId() {
        return teachCourseId;
    }

    public void setTeachCourseId(Long teachCourseId) {
        this.teachCourseId = teachCourseId;
    }

    public String getTeachCourseCode() {
        return teachCourseCode;
    }

    public void setTeachCourseCode(String teachCourseCode) {
        this.teachCourseCode = teachCourseCode;
    }

    public String getTeachCourseName() {
        return teachCourseName;
    }

    public void setTeachCourseName(String teachCourseName) {
        this.teachCourseName = teachCourseName;
    }
}
