package com.qmth.distributed.print.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.distributed.print.business.entity.TFFlowJoin;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 考试任务和流程关联表 Mapper 接口
 * </p>
 *
 * @author wangliang
 * @since 2021-11-22
 */
public interface TFFlowJoinMapper extends BaseMapper<TFFlowJoin> {

    /**
     * 根据实体id查找
     *
     * @param objectId
     * @return
     */
    Integer findByFlowLevel(@Param("objectId") Long objectId);

    /**
     * 根据流程id查找
     *
     * @param flowId
     * @return
     */
    Long findByRootLevel(@Param("flowId") Long flowId);

    /**
     * 根据实体id查找
     *
     * @param objectId
     * @return
     */
    Integer findByRootLevelByObjectId(@Param("objectId") Long objectId);

    /**
     * 根据实体id查找最大流程号
     *
     * @param objectId
     * @return
     */
    Long selectMaxFlowIdByObjectId(@Param("objectId") Long objectId);
}
