package com.qmth.distributed.print.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.distributed.print.business.entity.TFCustomFlowEntity;

import java.util.List;

/**
 * <p>
 * 自定义流程列表 服务类
 * </p>
 *
 * @author wangliang
 * @since 2022-02-18
 */
public interface TFCustomFlowEntityService extends IService<TFCustomFlowEntity> {

    /**
     * 根据自定义流程id查找
     *
     * @param customFlowId
     * @return
     */
    TFCustomFlowEntity findByCustomFlowId(Long customFlowId);

    /**
     * 根据流程id查找
     *
     * @param flowId
     * @return
     */
    TFCustomFlowEntity findByFlowId(Long flowId);

    /**
     * 根据自定义流程id查找list
     *
     * @param customFlowId
     * @return
     */
    List<TFCustomFlowEntity> findListByCustomFlowId(Long customFlowId);
}
