package com.qmth.distributed.print.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.distributed.print.business.bean.result.FlowApproveListResult;
import com.qmth.distributed.print.business.entity.TFFlowApprove;
import com.qmth.teachcloud.common.enums.FlowStatusEnum;

import java.util.Map;

/**
 * <p>
 * 流程审核表 服务类
 * </p>
 *
 * @author wangliang
 * @since 2021-08-02
 */
public interface TFFlowApproveService extends IService<TFFlowApprove> {

    /**
     * 根据流程id查询流程状态
     *
     * @param flowId
     * @param schoolId
     * @return
     */
    TFFlowApprove findByFlowId(Long flowId, Long schoolId);

    /**
     * 查找流程审批记录列表
     *
     * @param iPage
     * @param status
     * @param createUserName
     * @param teachingRoomId
     * @param startTime
     * @param endTime
     * @param pendApproveUserName
     * @param schoolId
     * @param orgId
     * @return
     */
    public IPage<FlowApproveListResult> findApproveList(IPage<Map> iPage,
                                                        FlowStatusEnum status,
                                                        String createUserName,
                                                        Long teachingRoomId,
                                                        Long startTime,
                                                        Long endTime,
                                                        String pendApproveUserName,
                                                        Long schoolId,
                                                        Long orgId);
}
